Providers
List OAuth applications
GET /v1/oauth-apps · SDK listProviderApplications · CLI deployments oauth-app list
GET
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListProviderApplicationsResponse
application/json- response
items*array<>nextCursor*string|nullcurl -X GET "https://example.com/v1/oauth-apps" \ -H "x-deployments-environment: string"{ "items": [ { "clientId": "string", "createdAt": "2019-08-24T14:15:22Z", "displayName": "string", "hasClientSecret": true, "id": "string", "metadata": { "property1": null, "property2": null }, "providerKey": "string", "redirectUris": [ "string" ], "requestedScopes": [ "string" ], "status": "active", "updatedAt": "2019-08-24T14:15:22Z", "version": 0 } ], "nextCursor": "string"}